> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ezytail.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all articles movements

> Fetch all article movements with optional filters, limited to 100 results

<Card title="Read the changelog !" icon="circle-exclamation" href="../changelog" iconType="duotone" color="#ca8b04">
  Please keep an eye on the changelog to stay up to date with the latest API
  changes.
</Card>


## OpenAPI

````yaml get /articles/movements
openapi: 3.0.4
info:
  title: EzyConnect API
  description: API to Ezytail Logistics Platform
  contact:
    name: Ezytail
    url: https://ezytail.com
    email: contact@ezytail.com
  version: v1
servers: []
security:
  - Bearer: []
paths:
  /articles/movements:
    get:
      tags:
        - Articles
      summary: Get all article movements
      description: >-
        Fetch all article movements with optional filters, limited to 100
        results
      operationId: GetAllMovements
      parameters:
        - name: afterId
          in: query
          schema:
            type: integer
            format: int64
        - name: afterDate
          in: query
          schema:
            type: string
            format: date-time
        - name: articleReference
          in: query
          schema:
            type: string
        - name: filter
          in: query
          schema:
            type: string
        - name: sort
          in: query
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ArticleStockMovement'
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ArticleStockMovement'
            text/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ArticleStockMovement'
        '401':
          description: Unauthorized
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '500':
          description: Internal Server Error
        default:
          description: Error
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    ArticleStockMovement:
      type: object
      properties:
        id:
          type: integer
          format: int64
        dateCreation:
          title: DateCreation
          type: string
          format: date-time
        dateLastUpdate:
          title: DateLastUpdate
          type: string
          format: date-time
          nullable: true
        activityCode:
          title: CODACTI
          maxLength: 3
          type: string
          description: Code normalisé de l'évenement
          nullable: true
          x-tags:
            - Activité
        stockUnitID:
          title: CODPROP
          maxLength: 3
          type: string
          description: Identifiant de l'unité de stockage
          nullable: true
        movementTimestamp:
          title: DATEMVT
          type: string
          description: Date et heure à laquelle a été passé le mouvement
          format: date-time
          nullable: true
        articleReference:
          title: CODARTI
          maxLength: 17
          type: string
          description: Référence article
          nullable: true
          x-tags:
            - Entête Article
        movedQuantity:
          title: QTTEMVT
          type: integer
          description: Quantité mouvementée
          format: int32
          nullable: true
        movementDirection:
          title: SENSMVT
          maxLength: 1
          type: string
          description: Sens du mouvement
          nullable: true
        movementCode:
          title: CODEMVT
          maxLength: 10
          type: string
          description: Code du mouvement
          nullable: true
        movementReason:
          title: MOTFMVT
          maxLength: 3
          type: string
          description: Motif du mouvement
          nullable: true
        gradeCode:
          type: string
          nullable: true
        dateProcessed:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
  securitySchemes:
    Bearer:
      type: oauth2
      description: |-
        JWT Authorization header using the Bearer scheme. \r\n\r\n 
                          Enter 'Bearer' [space] and then your token in the text input below.
                          \r\n\r\nExample: 'Bearer 12345abcdef'
      flows:
        authorizationCode:
          authorizationUrl: https://auth.ezytail.com/connect/authorize
          tokenUrl: https://auth.ezytail.com/connect/token
          scopes:
            ezy_connect: EzyConnect API Scope

````